<?php

namespace Intergo\AuthClient\Structs\Roles;

use Intergo\AuthClient\Structs\BaseAuth;

class GetRolesForUser extends BaseAuth
{
    /** @var string */
    public $token;
    /**
     * @var null
     */
    private $user_id;
    /** @var string */

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param $ip
     * @param $user_id
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip, $user_id = null)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->user_id = $user_id;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'user_id' => $this->user_id
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
