<?php

namespace Intergo\AuthClient\Structs\Roles;

use Intergo\AuthClient\Structs\BaseAuth;

class GetUsersRolesAndPermissions extends BaseAuth
{
    /** @var string */
    public $token;
    /** @var string */

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param null $ip
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
