<?php

namespace Intergo\AuthClient\Structs\Rules;

use Intergo\AuthClient\Structs\BaseAuth;

class GetList extends BaseAuth
{
    /** @var string */
    public $token;
    /**
     * @var null
     */

    private $match_string;
    private $page;
    /** @var string */

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param $ip
     * @param $match_string
     * @param $page
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip, $match_string, $page)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->match_string = $match_string;
        $this->page = $page;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'match_string' => $this->match_string,
            'page' => $this->page
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
