<?php

namespace Intergo\AuthClient\Structs\Auth;

use Intergo\AuthClient\Structs\BaseAuth;

class InvalidateUser extends BaseAuth
{
    public $user;
    public $attributes;

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $user
     * @param $attributes
     */
    public function __construct($site, $jwt_auth_secret, $ip, $user, $attributes)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->user = $user;
        $this->attributes = $attributes;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'user' => $this->user,
            'attributes' => $this->attributes
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
