<?php

namespace Intergo\AuthClient\Structs\Auth;

use Intergo\AuthClient\Structs\BaseAuth;

class Register extends BaseAuth
{
    public $attributes;

    /**
     * Register constructor.
     * @param $site
     * @param $secret
     * @param $ip
     * @param $attributes
     */
    public function __construct($site, $secret, $ip, $attributes)
    {
        parent::__construct($site, $secret, $ip);
        $this->attributes = $attributes;
    }

    /**
     * No extra headers are required
     * @return array
     */
    public function getHeaders()
    {
        return [];
    }

    function toArray()
    {
        return array_merge($this->attributes, parent::toArray());
    }
}
